# Uses of Class
ij.process.ByteProcessor

Packages that use ByteProcessor
Package
Description
ij
ij.plugin
ij.plugin.filter
ij.process

## Uses of ByteProcessor in ij

Methods in ij that return ByteProcessor
Modifier and Type
Method
Description
`ByteProcessor`
ImagePlus.`createRoiMask()`
Returns an 8-bit binary (foreground=255, background=0) ROI or overlay mask that has the same dimensions as this image.
`ByteProcessor`
ImagePlus.`createThresholdMask()`
Returns an 8-bit binary threshold mask (foreground=255, background=0) that has the same dimensions as this image.

## Uses of ByteProcessor in ij.plugin

Methods in ij.plugin that return ByteProcessor
Modifier and Type
Method
Description
`static ByteProcessor`
LutLoader.`createImage(IndexColorModel cm)`
Creates a 256x32 image from an IndexColorModel.
`static ByteProcessor`
Thresholder.`createMask(ImagePlus imp)`
Returns an 8-bit binary (0 and 255) threshold mask that has the same dimensions as this image.

## Uses of ByteProcessor in ij.plugin.filter

Methods in ij.plugin.filter that return ByteProcessor
Modifier and Type
Method
Description
`ByteProcessor`
MaximumFinder.`findMaxima(ImageProcessor ip, double tolerance, boolean strict, double threshold, int outputType, boolean excludeOnEdges, boolean isEDM)`
Here the processing is done: Find the maxima of an image (does not find minima).
`ByteProcessor`
MaximumFinder.`findMaxima(ImageProcessor ip, double tolerance, double threshold, int outputType, boolean excludeOnEdges, boolean isEDM)`
Finds the maxima of an image (does not find minima).
`ByteProcessor`
MaximumFinder.`findMaxima(ImageProcessor ip, double tolerance, int outputType, boolean excludeOnEdges)`
Find the maxima of an image.

## Uses of ByteProcessor in ij.process

Subclasses of ByteProcessor in ij.process
Modifier and Type
Class
Description
`class`
`BinaryProcessor`
This class processes binary images.
Methods in ij.process that return ByteProcessor
Modifier and Type
Method
Description
`ByteProcessor`
ImageProcessor.`convertToByteProcessor()`
Returns an 8-bit version of this image as a ByteProcessor.
`ByteProcessor`
ImageProcessor.`convertToByteProcessor(boolean scale)`
Returns an 8-bit version of this image as a ByteProcessor.
`ByteProcessor`
ByteProcessor.`createMask()`
Returns a binary mask, or null if a threshold is not set.
`ByteProcessor`
FloatProcessor.`createMask()`
Returns a binary mask, or null if a threshold is not set.
`ByteProcessor`
ImageProcessor.`createMask()`
Returns a binary mask, or null if a threshold is not set or this is an RGB image.
`ByteProcessor`
ShortProcessor.`createMask()`
Returns a binary mask, or null if a threshold is not set.
`ByteProcessor`
ColorProcessor.`getChannel(int channel, ByteProcessor bp)`
Returns the specified plane (1=red, 2=green, 3=blue, 4=alpha) as a ByteProcessor.
Methods in ij.process with parameters of type ByteProcessor
Modifier and Type
Method
Description
`void`
PolygonFiller.`fillByteProcessorMask(ByteProcessor mask)`
Fills the ByteProcessor with 255 inside the polygon
`ByteProcessor`
ColorProcessor.`getChannel(int channel, ByteProcessor bp)`
Returns the specified plane (1=red, 2=green, 3=blue, 4=alpha) as a ByteProcessor.
`void`
ColorProcessor.`setChannel(int channel, ByteProcessor bp)`
Sets the pixels of one color channel from a ByteProcessor.
Constructors in ij.process with parameters of type ByteProcessor
Modifier
Constructor
Description
``
`BinaryProcessor(ByteProcessor ip)`
Creates a BinaryProcessor from a ByteProcessor.
``
`ByteBlitter(ByteProcessor ip)`
Constructs a ByteBlitter from a ByteProcessor.